package com.ankaibei.workFlow.webadmin.upms.vo;

import com.ankaibei.workFlow.webadmin.upms.model.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * SysDeptVO视图对象。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
@ApiModel("SysDeptVO视图对象")
@Data
public class SysDeptVo {

    /**
     * 部门Id。
     */
    @ApiModelProperty(value = "部门Id")
    private String deptId;

    /**
     * 部门名称。
     */
    @ApiModelProperty(value = "部门名称")
    private String deptName;

    /**
     * 显示顺序。
     */
    @ApiModelProperty(value = "显示顺序")
    private Integer showOrder;

    /**
     * 父部门Id。
     */
    @ApiModelProperty(value = "父部门Id")
    private String parentId;

    /**
     * 创建者Id。
     */
    @ApiModelProperty(value = "创建者Id")
    private String createUserId;

    /**
     * 更新者Id。
     */
    @ApiModelProperty(value = "更新者Id")
    private String updateUserId;

    /**
     * 创建时间。
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间。
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 部门下用户
     */
    @ApiModelProperty(value = "部门下用户")
    private List<SysUser> userList;
}
