package com.ankaibei.workFlow.common.flow.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 工作流工单扩展数据实体对象。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
@Data
@TableName(value = "zz_flow_work_order_ext")
public class FlowWorkOrderExt {

    /**
     * 主键Id。
     */
    @TableId(value = "id")
    private String id;

    /**
     * 流程工单Id。
     */
    @TableField(value = "work_order_id")
    private String workOrderId;

    /**
     * 草稿数据。
     */
    @TableField(value = "draft_data")
    private String draftData;

    /**
     * 业务数据。
     */
    @TableField(value = "business_data")
    private String businessData;

    /**
     * 更新时间。
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新者Id。
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 创建时间。
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建者Id。
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "deleted_flag")
    private Integer deletedFlag;
}
